Subject: Re: Umlaut in filename makes troubles

From: Michael J Gruber <[email-masked]>
Date: Tue, 01 Dec 2009 08:54:17 +0100

[email-masked] venit, vidit, dixit 01.12.2009 08:15:
> I have problems with my repository under slackware vs. windows. I 
> created a repo in linux and every time I use it under msysgit, the 
> files containing umlauts in the filename are marked as deleted (and 
> vice versa).
> 
> For instance: the repo perfectly synced under msysgit leads to:
> 
> user@sauron:/media/disk-2$ git status |grep Auszug
> #       deleted:    "trunk/007_Literatur/Auszug aus Ergonomische 
> Untersuchung des Lenkgef\374hles.docx"
> #       "trunk/007_Literatur/Auszug aus Ergonomische Untersuchung des 
> Lenkgef\303\274hles.docx"
> 
> in linux. But the file exists and is displayed correctly in the shell 
> or in dolphin (my filemanager under X):
> 
> user@sauron:/media/disk-2$ ls trunk/007_Literatur/Auszug*
> trunk/007_Literatur/Auszug aus Ergonomische Untersuchung des 
> Lenkgefühles.docx
> 
> Can you please give me a hint what to do?

I would say you can give us more info about your setup. If I understand
you correctly, you use the same repo and checkout under linux and
msysgit. What kind of filesystem is this on, what are the mount options?
What is your locale ($LANG) in slackware?

Michael